/*Global Styles*/
*,
*::before,
*::after{
    margin: 0;
    padding: 0;
    box-sizing: inherit;
}

html{
    font-family: 'Nunito', sans-serif;
    font-size: 10px;
    box-sizing: border-box;
}

a{
    text-decoration: none;
}

ul{
    list-style: none;
}

p{
    font-size: 1.6rem;
}

img{
    width: 100%;
    max-width: 100%;
    height: 100%;

}/*possibly auto*/

section{
    padding: 5rem 0;
}

/*header*/
header{
    width: 100%;
    height: 5rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

.container{
    width: 100%;
    max-width: 98rem;
    margin: 0 auto;
    padding: 0 1.5rem;

}

nav{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 0;
    border-bottom: 1px solid rgba(255,255,255,.2);
}

.nav-brand{
    width: 2rem;
}

.menu-icons i{
    font-size: 3.5rem;
    color: #fafafa;
    cursor: pointer;
}

.close i{
    color: #eb648c;
}

.nav-list{
    width: 25rem;
    height: 100vh;
    background-color: #d7d4ed;
    position: fixed;
    top: 0;
    right: -26rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 1500;
    transition: all 650ms ease-in-out;
}

.nav-list.active{
    right: 0;
}

.close{
    position: absolute;
    top: 1rem;
    left: 1.5rem;
}

.nav-item{
    margin: 1.5rem 0;

}

.nav-link{
    font-size: 1.6rem;
    text-transform: uppercase;
    color: rgba(0,0,0,.7);
}

.nav-brand img{

}
/* Hero */

.hero{
    width: 100%;
    height: 80vh;
    background: linear-gradient(135deg, rgba(6,86,167,0.9) 0%, rgba(117,186,255,0.8) 100%), url("header-bg.jpg") center no-repeat;
    background-size: cover;
    position: relative;
}

.hero::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 100%;
    height: 4.7rem;
    background: url("wave-small.png") center no-repeat;
    background-size: cover;
}

.main-message{
    width: 100%;
    max-width: 50rem;
    color: #fafafa;
    text-transform: uppercase;
    transform: translateY(20%);
}

.main-message h3{
    font-size: 1.6rem;
}

.main-message h1{
    font-family: 'Aldrich', sans-serif;
    font-size: 4rem;
    margin: 1rem 0;
}

/*.main-message p{
  text-transform: lowercase;
}*/

.btn{
    background-color: #eb648c;
    border-radius: 2rem;
    color: #fafafa;
    display: inline-block;
    margin-top: 2rem;
    padding: 1rem 2.5rem;
    text-transform: uppercase;
    transition: background-color 650ms;
}

.btn:hover{
    background-color: #ce587b;
}

/* downloadSection */
.downloadSection {

    padding-left: 565px;
    padding-right: 565px;
    padding-bottom: 50px;
    display: block;
}

.downloadButton {
    font-size: 1.5rem;
    Text-align: center;
    background-color: DodgerBlue;
    text: black;
    padding: 20px 30px;
    cursor: pointer;
    font: 17px/50px Helvetica, Verdana
    width: 200px;
    height: 50px;
    text-transform: uppercase;

}

.dwnbutton{
    color: white;

}

/* Experience */
.experience{
    padding: 0;

}

.title-heading{
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 10rem;
    color: rgba(0,0,0,.7);
}

.title-heading h3{
    font-size: 1.4rem;
}

.title-heading h1{
    font-family: 'Aldrich', sans-serif;
    font-size: 2rem;
    margin: .5rem 0 1rem;
}

.title-heading p{
    text-transform: lowercase;
}

.activities-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit), minmax(25rem, 1fr);
    grid-gap: 2.5rem;
}


.activities-grid-item{
    height: 40rem;
    padding: 5rem;
    color: #fafafa;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    cursor: pointer;
    z-index: 1;
}


.activities-grid-item::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(135deg, rgba(6,86,167,0.9) 0%, rgba(117,186,255,0.8) 100%);
    z-index: -1;
}

.education{
}
.star-gazing{
    background: url("stars.jpg") center no-repeat;
}

.hiking{
    background: url("presentation.jpg") center no-repeat;
}

.camping{
    background: url("leadership.jpg") center no-repeat;
}

.activities-grid-item i{
    font-size: 4rem;
    color: #eb648c;
}

.activities-grid-item h1{
    font-family: 'Aldrich', sans-serif;
    font-size: 1.7rem;
    text-transform: uppercase;
    margin: 2rem 0;
}

/* Testimonials */
.testimonials{
    width: 100%;
    height: 110vh;
    background: linear-gradient(135deg, rgba(6,86,167,0.9) 0%, rgba(117,186,255,0.8) 100%), url("testimonials-bg.jpg") center no-repeat fixed;
    background-size: cover;
    position: relative;
}

.testimonials::before{
    content: "";
    position: absolute;
    left: 0;
    top: -3px;
    width: 100%;
    height: 4.7rem;
    background: url("wave-small-reversed.png") center no-repeat;
    background-size: cover;
}

.testimonial{
    width: 100%;
    color: #fafafa;
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.testimonial-text-box{
    padding: 0 1.5rem;
    margin-bottom: 2rem;
    position: relative;

}

.testimonial-text-box i{
    position: absolute;
    top: -8rem;
    left: 50%;
    transform: translateX(-50%);
    font-size: 8rem;
    color: #eb648c;
    opacity: .5;
    z-index: -1;
}

.testimonial-customer{
    padding-top: 5rem;
}

.testimonial-customer img{
    width: 22.5rem;
    height: 22.5rem;
    border-radius: 100%;
    border: 3px solid #eb648c
}

/* Begin Adventures */

.adventure-grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    grid-gap: 2.5rem;
    margin-bottom: 2rem;
}

.adventure-grid-item p{
    color: rgba(0,0,0,0.7);
}


.timeline ul{
    border-left: 4px solid #ffe828;
    border-radius: .8rem;
    background-image: linear-gradient(135deg, rgba(6,86,167,0.9) 0%, rgba(117,186,255,0.8) 100%);
    margin: 0 auto;
    position: relative;
    padding: 5rem;
    list-style: none;
    text-align: left;
    width: 70%;
}

.section-heading{
    font-family: 'Aldrich', sans-serif;
    font-size: 1.7rem;
    text-align: center;
}

.section-heading h1,h6{
    color: rgba(0,0,0,0.7);
}

.timeline h1{
    font-size: 2.5rem;
    text-transform: uppercase;
    font-weight: 200;
    margin-bottom: 1rem;
    /*opacity: .3;*/
    color: #ffffff
}

.timeline .date{
    border-bottom: 1px solid #eb648c;
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    position: relative;
}

.timeline .date:last-of-type{
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
}

.timeline .date::before,
.timeline .date::after{
    position: absolute;
    display: block;
    top: 50%;
    transform: translateY(-50%);
}

.timeline .date::before{
    content: attr(data-date);
    left: -21rem;
    text-align: right;
    min-width: 12rem;
    font-size: 2rem;
}

.timeline .date::after{
    content: '';
    box-shadow: 0 0 0 4px #ffe838;
    border-radius: 100%;
    left: -5.9rem;
    height: 1.5rem;
    width: 1.5rem;
    background-color: #eb648c;
}

.timeline{
    padding-bottom: 5rem;
}

/*End timeline*/

/*Start contact*/
.contact{
    background-image: linear-gradient(135deg, rgba(6,86,167,0.9) 0%, rgba(117,186,255,0.8) 100%);
}

.contact h1,h6{
    color: rgba(0,0,0,0.7);
}

form{
    width: 70%;
    margin: 0 auto;
}

form label{
    font-size: 1.5rem;
}

input,
select,
textarea{
    width: 100%;
    padding: 1rem;
    margin-bottom: 5px;
    border: none;
    outline-color: #eb648c;
}

input[type="submit"]{
    width: initial;
    background-color: #eb648c;
    color: #eee;
    padding: 1rem 2rem;
    border-radius: .8rem;
    cursor: pointer;
    transition: background-color 650ms;
}

input[type="submit"]:hover{
    color: #221e3f;
    background-color: #ce587b;
}

footer{
    padding: 2.5rem 0;
    background-color: #d7d4ed;
    text-align: center;
    color: rgba(0,0,0,0.7);
}




@media screen and (min-width: 350px){
    .main-message{
        transform: translateY(40%);
    }
}

@media screen and (min-width: 470px){
    .hero::before{
        height: 9.4rem;
        background: url("wave-medium.png");
        background-size: cover;

    }

    .testimonials::before{
        height: 9.4rem;
        background: url("wave-medium-reversed.png");
        background-size: cover;

    }
}

@media screen and (min-width: 700px){
    header{
        height: 8rem;
    }

    .nav-brand{
        width: 3.5rem;
    }

    .nav-list{
        width: initial;
        height: initial;
        background-color: transparent;
        position: initial;
        top: initial;
        right: initial;
        flex-direction: row;
        transition: initial;
    }

    .menu-icons{
        display: none;

    }

    .nav-item{
        margin: 0 2.5rem;
    }

    .nav-link,
    .current{
        color: #fafafa;
        position: relative;
        font-size: 1.3rem;
    }

    .nav-link::before,
    .current::before{
        content: "";
        position: absolute;
        left: 0;
        bottom: -.5rem;
        background-color: #eb648c;
        width: 100%;
        height: 2px;
        transform: scaleX(0);
        transform-origin: left;
        transition: transform 650ms;
    }

    .current::before{
        transform: scaleX(1);
    }

    .nav-link:hover::before{
        transform: scaleX(1);
    }

    .hero{
        height: 60vh;
    }

    .main-message{
        transform: translateY(70%);
    }

    .title-heading h1{
        font-size: 2.5rem;
    }

    .timeline ul{
        border-left: 4px solid #ffe828;
        border-radius: .8rem;
        background-color: rgba(0,0,0,0.05);
        margin: 0 auto;
        position: relative;
        padding: 5rem;
        list-style: none;
        text-align: left;
        width: 70%;
    }

    .timeline h1{
        font-size: 2.5rem;
        text-transform: uppercase;
        font-weight: 200;
        margin-bottom: 1rem;
        /*opacity: .3;*/
        color: #ffffff
    }

    .timeline .date{
        border-bottom: 1px solid #eb648c;
        margin-bottom: 1rem;
        padding-bottom: 1rem;
        position: relative;
    }

    .timeline .date:last-of-type{
        padding-bottom: 0;
        margin-bottom: 0;
        border: none;
    }

    .timeline .date::before,
    .timeline .date::after{
        position: absolute;
        display: block;
        top: 50%;
        transform: translateY(-50%);
    }

    .timeline .date::before{
        content: attr(data-date);
        left: -21rem;
        text-align: right;
        min-width: 12rem;
        font-size: 2rem;
    }

    .timeline .date::after{
        content: '';
        box-shadow: 0 0 0 4px #ffe838;
        border-radius: 100%;
        left: -5.9rem;
        height: 1.5rem;
        width: 1.5rem;
        background-color:  #eb648c;
    }

    /*End timeline*/

    /*Start contact*/
    .contact{
        background-color: #221e3f;
    }

    form{
        width: 70%;
        margin: 0 auto;
    }

    form label{
        font-size: 1.5rem;
    }

    input,
    select,
    textarea{
        width: 100%;
        padding: 1rem;
        margin-bottom: 5px;
        border: none;
        outline-color:  #eb648c;
    }

    input[type="submit"]{
        width: initial;
        background-color:  #eb648c;
        color: #eee;
        padding: 1rem 2rem;
        border-radius: .8rem;
        cursor: pointer;
        transition: background-color 650ms;
    }

    input[type="submit"]:hover{
        color: #221e3f;
        background-color: #ce587b;
    }

}

@media screen and (max-width: 768px) {
    .timeline ul{
        margin: 0 0 0 auto;
    }

    .timeline .date::before{
        left: -20rem;
    }

    .timeline .date::after{
        left: -5.9rem;
    }
}

@media screen and (max-width: 600px) {



    .section-heading h1,h6{
        padding-left: 12rem;
    }

    .timeline p{
        font-size: 1.6rem;
    }

    .timeline .date::before{
        font-size: 1.4rem;
    }

    form{
        width: 100%;
    }

    .hiking{
        background: url("presentation.jpg") center no-repeat height:auto max-width:100%;
        background-size: cover;
    }

    .camping{
        background: url("leadership.jpg") center no-repeat height:auto max-width:100%;
        background-size: cover;
    }
}


@media screen and (min-width: 950px){
    .hero::before{
        height: 15.7rem;
        background: url("wave-large.png");
        background-size: cover;

    }

    .testimonials::before{
        height: 22.7rem;
        background: url("wave-large-reversed.png");
        background-size: cover;
    }


    .star-gazing{
        background: url("stars.jpg");
        background-size: cover;
    }

    .hiking{
        background: url("presentation.jpg") center no-repeat;
        background-size: cover;
    }

    .camping{
        background: url("leadership.jpg") center no-repeat max-width:100%;
        background-size: cover;
    }

    .testimonials::before{
        top: -50px;
    }

    .testimonial-text-box,i{
        /*padding-top: 20rem;*/
    }
}

@media screen and (min-width: 1200px){
    .hero{
        height: 75vh;
    }

}
